MWProParserInternal::DataPosition Struct Reference

Internal and low level: structure used to sort the position of data. More...

## Classes

struct | Compare
| the comparison structure More...

## Public Member Functions

| DataPosition (int type=-1, int id=-1, long pos=0)
| constructor More...

## Public Attributes

int | m_type
| the type More...
int | m_id
| an id More...
long | m_pos
| the position More...

## Detailed Description

Internal and low level: structure used to sort the position of data.

## Constructor & Destructor Documentation

MWProParserInternal::DataPosition::DataPosition | ( | int | type = `-1`,
|  | int | id = `-1`,
|  | long | pos = `0`
| ) |  |

inline

constructor

## Member Data Documentation

int MWProParserInternal::DataPosition::m_id

an id

Referenced by MWProParserInternal::DataPosition::Compare::operator()(), and MWProParser::sendText().

long MWProParserInternal::DataPosition::m_pos

the position

Referenced by MWProParserInternal::DataPosition::Compare::operator()(), and MWProParser::sendText().

int MWProParserInternal::DataPosition::m_type

the type

Referenced by MWProParserInternal::DataPosition::Compare::operator()(), and MWProParser::sendText().

The documentation for this struct was generated from the following file:

- MWProParser.cxx